<?php
class ControllerModuleWPvkcomment extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('module/wp_vkcomment');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('wp_vkcomment', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');
						
			$this->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
		}

		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['wpvk_poluch'] = $this->language->get('wpvk_poluch');
		$this->data['wpvk_autopub'] = $this->language->get('wpvk_autopub');
		$this->data['api_id'] = $this->language->get('api_id');
		$this->data['wpvk_ys'] = $this->language->get('wpvk_ys');
		$this->data['wpvk_no'] = $this->language->get('wpvk_no');
		$this->data['wpvk_kolvo'] = $this->language->get('wpvk_kolvo');
		$this->data['wpvk_media'] = $this->language->get('wpvk_media');
		$this->data['wpvk_graff'] = $this->language->get('wpvk_graff');
		$this->data['wpvk_photo'] = $this->language->get('wpvk_photo');
		$this->data['wpvk_video'] = $this->language->get('wpvk_video');
		$this->data['wpvk_audio'] = $this->language->get('wpvk_audio');
		$this->data['wpvk_silki'] = $this->language->get('wpvk_silki');
		$this->data['wpvk_shir'] = $this->language->get('wpvk_shir');
		$this->data['wpvk_px'] = $this->language->get('wpvk_px');
		
		
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['button_add_module'] = $this->language->get('button_add_module');
		$this->data['button_remove'] = $this->language->get('button_remove');


		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_module'),
			'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('module/wp_vkcomment', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('module/wp_vkcomment', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');
		

		
		if (isset($this->request->post['wp_vkcomment_status'])) {
			$this->data['wp_vkcomment_status'] = $this->request->post['wp_vkcomment_status'];
		} else {
			$this->data['wp_vkcomment_status'] = $this->config->get('wp_vkcomment_status');
		}
					
		if (isset($this->request->post['wp_vkcomment_apiid'])) {
			$this->data['wp_vkcomment_apiid'] = $this->request->post['wp_vkcomment_apiid'];
		} else {
			$this->data['wp_vkcomment_apiid'] = $this->config->get('wp_vkcomment_apiid');
		}

		if (isset($this->request->post['wp_vkcomment_autpub'])) {
			$this->data['wp_vkcomment_autpub'] = $this->request->post['wp_vkcomment_autpub'];
		} else {
			$this->data['wp_vkcomment_autpub'] = $this->config->get('wp_vkcomment_autpub');
		}

		if (isset($this->request->post['wp_vkcomment_kolvo'])) {
			$this->data['wp_vkcomment_kolvo'] = $this->request->post['wp_vkcomment_kolvo'];
		} else {
			$this->data['wp_vkcomment_kolvo'] = $this->config->get('wp_vkcomment_kolvo');
		}

		if (isset($this->request->post['wp_vkcomment_graff'])) {
			$this->data['wp_vkcomment_graff'] = $this->request->post['wp_vkcomment_graff'];
		} else {
			$this->data['wp_vkcomment_graff'] = $this->config->get('wp_vkcomment_graff');
		}

		if (isset($this->request->post['wp_vkcomment_photo'])) {
			$this->data['wp_vkcomment_photo'] = $this->request->post['wp_vkcomment_photo'];
		} else {
			$this->data['wp_vkcomment_photo'] = $this->config->get('wp_vkcomment_photo');
		}

		if (isset($this->request->post['wp_vkcomment_video'])) {
			$this->data['wp_vkcomment_video'] = $this->request->post['wp_vkcomment_video'];
		} else {
			$this->data['wp_vkcomment_video'] = $this->config->get('wp_vkcomment_video');
		}

		if (isset($this->request->post['wp_vkcomment_audio'])) {
			$this->data['wp_vkcomment_audio'] = $this->request->post['wp_vkcomment_audio'];
		} else {
			$this->data['wp_vkcomment_audio'] = $this->config->get('wp_vkcomment_audio');
		}

		if (isset($this->request->post['wp_vkcomment_silki'])) {
			$this->data['wp_vkcomment_silki'] = $this->request->post['wp_vkcomment_silki'];
		} else {
			$this->data['wp_vkcomment_silki'] = $this->config->get('wp_vkcomment_silki');
		}

		if (isset($this->request->post['wp_vkcomment_shir'])) {
			$this->data['wp_vkcomment_shir'] = $this->request->post['wp_vkcomment_shir'];
		} else {
			$this->data['wp_vkcomment_shir'] = $this->config->get('wp_vkcomment_shir');
		}


		$this->template = 'module/wp_vkcomment.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);

		$this->response->setOutput($this->render());
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/wp_vkcomment')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}
	}
}
?>